Subject: [PATCH 3/7] [ARM] locomo: remove unused IRQs and avoid unnecessary cascade

From: [email-masked] (Thomas Kunze)
Date: Sun, 10 Jan 2010 15:31:46 +0100

Eric Miao schrieb:
> On Thu, Dec 31, 2009 at 9:42 PM, Thomas Kunze <[email-masked]> wrote:
>   
>> Eric Miao wrote:
>>     
>>> IRQ_LOCOMO_* are never used elsewhere, remove these definitions. As well
>>> as the cascade of these IRQs. IRQ_LOCOMO_*_BASE changed to IRQ_LOCOMO_*.
>>>
>>> Signed-off-by: Eric Miao <[email-masked]>
>>>
>>>       
>> Unlike poodle which AFAIK only uses locomo for keyboard Collie needs most of
>> these irqs for various subdevices (for example SD-Card on SPI bus) . The
>> drivers for these devices
>> will find their way into mainline as time permits. So please don't remove
>> this functionality.
>>
>>     
>
> The LoCoMo driver is really weird, it has a second cascade of the IRQ
> which looks to me unnecessary.
>
> Could you look into the possibility that the subdevices driver on collie
> can make use only of the first level IRQ?
>
> The GPIO IRQs, which I'm seeking alternate solution with dynamic IRQ.
>   
I think all devices but GPIO can use these base irqs. Unfortunately I 
don't have a real network connection available until
end of january. I will test this then.

Regards,
Thomas